<div class="wrap">

    <!-- page title -->
    <h2><?=esc_html(get_admin_page_title())?></h2>

    <form action="<?=admin_url('admin-post.php?action=save_supr3me_settings') ?>" method="post">

        <!-- hidden fields -->
        <?php wp_nonce_field('__nonce', '__nonce') ?>

        <table class="form-table">

            <!-- enable/disable captcha -->
            <tr>
                <th scope="row">
                    <label for="display_captcha">
                        Enable reCAPTCHA?<br />
                        <small>Toggle this checkbox to enable/disable captcha on the login form.</small>
                    </label>
                </th>
                <td>
                    <select name="field[display_captcha]" id="display_captcha">
                        <option value="1" <?php if($options['display_captcha']): ?>selected="selected"<?php endif; ?>>Enable Captcha</option>
                        <option value="0" <?php if(!$options['display_captcha']): ?>selected="selected"<?php endif; ?>>Disable Captcha</option>
                    </select>
                </td>
            </tr>

            <!-- hide after successful login -->
            <tr class="recaptcha-keys">
                <th scope="row">
                    <label for="hide_after_success">
                        Hide after login success?<br />
                        <small>If the user logs in correctly, should we hide reCAPTCHA for this machine in future?</small>
                    </label>
                </th>
                <td>
                    <select name="field[hide_after_success]" id="hide_after_success">
                        <option value="1" <?php if($options['hide_after_success']): ?>selected="selected"<?php endif; ?>>Hide reCAPTCHA</option>
                        <option value="0" <?php if(!$options['hide_after_success']): ?>selected="selected"<?php endif; ?>>Always show reCAPTCHA</option>
                    </select>
                </td>
            </tr>

            <!-- recaptcha message -->
            <tr class="recaptcha-keys">
                <th colspan="2">
                        When testing your reCAPTCHA, if the reCAPTCHA field never displays on the
                        login page,<br />then your API keys are likely misconfigured.

                        <div id="reCAPTCHA_important">
                            PLEASE TEST THIS IN ANOTHER BROWSER BEFORE
                            LOGGING OUT OF THE ADMIN. IF <br />YOU GET THE
                            KEYS WRONG, YOU MAY LOCK YOURSELF OUT OF YOUR ADMIN.
                        </div>
                </th>
            </tr>

            <!-- public recaptcha key -->
            <tr class="recaptcha-keys">
                <th scope="row">
                    <label for="recaptcha_key_public">
                        Public reCAPTCHA Key<br />
                        <small>Please enter the public <a href="https://www.google.com/recaptcha/" target="_blank">API key</a> for this domain name.</small>
                    </label>
                </th>
                <td>
                    <input type="text" name="field[recaptcha_key_public]" id="recaptcha_key_public" value="<?=esc_attr($options['recaptcha_key_public'])?>" class="regular-text" autocomplete="off">
                </td>
            </tr>

            <!-- private recaptcha key -->
            <tr class="recaptcha-keys">
                <th scope="row">
                    <label for="recaptcha_key_private">
                        Private reCAPTCHA Key<br />
                        <small>Please enter the private <a href="https://www.google.com/recaptcha/" target="_blank">API key</a> for this domain name.</small>
                    </label>
                </th>
                <td>
                    <input type="text" name="field[recaptcha_key_private]" id="recaptcha_key_private" value="<?=esc_attr($options['recaptcha_key_private'])?>" class="regular-text" autocomplete="off">
                </td>
            </tr>

            <!-- error message to display on captcha fail -->
            <tr class="recaptcha-keys">
                <th scope="row">
                    <label for="recaptcha_error_message">
                        reCAPTCHA Error Message<br />
                        <small>Please enter the message to display when a user fails reCAPTCHA.</small>
                    </label>
                </th>
                <td>
                    <input type="text" name="field[recaptcha_error_message]" id="recaptcha_error_message" value="<?=esc_attr($options['recaptcha_error_message'])?>" class="regular-text" autocomplete="off">
                </td>
            </tr>


        </table>

        <!-- submit button -->
        <p class="submit">
            <input type="submit" name="submit" id="submit" class="button button-primary" value="Save Settings" />
        </p>

    </form>

</div>